
select
    IncidentID
     , CommID
     , IncidentDate -- 受理时间
     , IncidentNum -- 报事编号
     , IncidentContent
     , CalculatedForwardHour -- 响应时间
     , CalculatedOvertimeHour -- 响应超时时间
     , MainEndDate -- 完成时间
     , IsTouSu -- 是否投诉
     , CloseTime -- 关闭时间
     , IsBeoverdue -- 是否逾期
     , IsBeoverdueHour -- 处理逾期小时
     , DelayHours -- 延期小时
     , ReplyDate -- 回访时间
     , ReceivingDate -- 接单时间
     , IsFinish -- 是否完成
     , ForwardDateTime -- 跟进时间
     , ReserveDate -- 预约处理时间
     , DispLimit -- 处理时限
     , DispDate -- 处理时间
     , IsClose -- 是否关闭
     , ReplyResult -- 回访结果
     , ServiceQuality -- 服务质量
     , DispType -- 报事类型
     , DealState -- 回访状态
     , IncidentSource -- 报事来源
     , BigTypeName -- 报事类别
from ods_erp_view_hspr_incidentnewjh_search_filter_d
where IsDelete = 0
order by IncidentID asc